For the complete documentation index, see llms.txt. This page is also available as Markdown.

Identify

Public API endpoints for the Identify Extension

Public API endpoints by provider:

Custom providers or implementations can also be added by arrangement.

AWS Cognito

Get user profile

get
/user
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
projectIdstring · uuidRequired

Project id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringRequired

Strategy

Example: email
providerstringRequired

Strategy

Example: awsCognito
Responses
200

Get Profile

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"data":{"username":"burger1111111","email":"confluence90@gmail.com","custom:terms_optin1":"1","custom:terms_optin2":"1","nickname":"burger1111111","userId":"3bd439c2-8ffe-416e-94ed-456f83a91848","loginHistory":[1633435562,1633435763]},"custom:terms_optin2":"1","custom:terms_optin1":"1","updatedAt":"1633430188","nickname":"burger1111111","email":"confluence90@gmail.com","devices":[{"deviceId":"16713b2d-3848-42c7-aeb0-f9714beac892","lastLogin":1633435763,"signUp":1633435560,"userId":"3bd439c2-8ffe-416e-94ed-456f83a91848","timeStamp":1633435760,"signature":"41C96E76084CDAAC46268995187AF3827258CCA3"},{"deviceId":"a055da77-dcfe-4969-ae49-32c501f14e8a"}]}
get
/user

Register a new user

post
/user
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
dataobjectOptionalExample: {"email":"test@user.com","password":"bID>idfsf23!"}
Responses
post
/user

Update user data

put
/user
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
dataobjectOptionalExample: {"email":"test@user.com","nickname":"testUserCognito"}
Responses
200

user created

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: User is Correctly Created
dataobjectOptionalExample: {"email":"rus-burone@test.com","username":"Baratrum1112323445","externalId":"42da3617-268b-4459-b460-3efda3db5513","projectId":"a69a31e9-f2e6-4d5f-b080-6138c6a721b7"}
put
/user

Change password

put
/user/change-password
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
dataobjectOptionalExample: {"password":"bID>idfsf23!!","previousPassword":"bID>idfsf23!"}
Responses
200

user created

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: password has been updated
dataobjectOptionalExample: {"deviceId":"789f64dc-750d-4260-afef-7937062048e3","timeStamp":1614788250,"signature":"C4B23C2801C19B76C3DE7432B86B818D1D63C7C6","externalId":"6432a1c6a7dd85071d79a3ccb651a095ca1abb139189492fc0e53fb427c1a036","userId":"99b5e0ae-60b8-4667-8741-f4e1486d2b3a","accessToken":"jwtAccessToken","profileToken":"jwtProfileToken","refreshToken":"jwtRefreshToken","signUp":1614788100}
put
/user/change-password

Forgot password

put
/user/forgot-password
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
dataobjectOptionalExample: {"email":"test@user.com!"}
Responses
200

user created

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: please check your email
dataobjectOptional
put
/user/forgot-password

Confirm password

post
/user/confirm-forgot-password
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
dataobjectOptionalExample: {"email":"test@user.com","confirmationCode":"671848","password":"bID>idfsf23!"}
Responses
200

user created

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: please check your email
dataobjectOptional
post
/user/confirm-forgot-password

Refresh token

post
/user/refresh
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
deviceIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
refreshTokenstringOptionalExample: stringstring
Responses
200

user created

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: please check your email
dataobjectOptional
post
/user/refresh

Logout user

post
/user/logout
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
Responses
200

user created

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: please check your email
dataobjectOptional
post
/user/logout

Login

put
/user/login

this method logins user

Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: awsCognito
dataobjectOptionalExample: {"email":"test@user.com","password":"bID>idfsf23!"}
Responses
200

user Logged

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"deviceId":"789f64dc-750d-4260-afef-7937062048e3","timeStamp":1614788250,"signature":"C4B23C2801C19B76C3DE7432B86B818D1D63C7C6","externalId":"6432a1c6a7dd85071d79a3ccb651a095ca1abb139189492fc0e53fb427c1a036","userId":"99b5e0ae-60b8-4667-8741-f4e1486d2b3a","accessToken":"jwtAccessToken","profileToken":"jwtProfileToken","refreshToken":"jwtRefreshToken","signUp":1614788100}
put
/user/login

Check user by token

get
/user/check
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
projectIdstring · uuidRequired

Project id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringRequired

Strategy

Example: email
providerstringRequired

Strategy

Example: awsCognito
deviceIdstring · uuidRequired

device id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
Responses
200

Check

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"data":{"username":"burger1111111","email":"confluence90@gmail.com","custom:terms_optin1":"1","custom:terms_optin2":"1","nickname":"burger1111111","userId":"3bd439c2-8ffe-416e-94ed-456f83a91848","loginHistory":[1633435562,1633435763]},"custom:terms_optin2":"1","custom:terms_optin1":"1","updatedAt":"1633430188","nickname":"burger1111111","email":"confluence90@gmail.com","devices":[{"deviceId":"16713b2d-3848-42c7-aeb0-f9714beac892","lastLogin":1633435763,"signUp":1633435560,"userId":"3bd439c2-8ffe-416e-94ed-456f83a91848","timeStamp":1633435760,"signature":"41C96E76084CDAAC46268995187AF3827258CCA3"},{"deviceId":"a055da77-dcfe-4969-ae49-32c501f14e8a"}]}
get
/user/check

Auth0

Get user profile

get
/user
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
projectIdstring · uuidRequired

Project id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringRequired

Strategy

Example: email
providerstringRequired

Strategy

Example: authZero
Responses
200

Get Profile

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"username":"testUserAuthZero","appProfile":{"data":"customUserObjectGoesHere"},"loginHistory":[1633435562,1633435763]}
get
/user

Update user data

put
/user
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
projectIdstringOptionalExample: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringOptionalExample: email
providerstringOptionalExample: authZero
dataobjectOptionalExample: {"username":"testUserAuthZero","appProfile":{"data":"customUserObjectGoesHere"}}
Responses
200

user created

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: User is Correctly Created
dataobjectOptionalExample: {"externalId":"42da3617-268b-4459-b460-3efda3db5513","projectId":"a69a31e9-f2e6-4d5f-b080-6138c6a721b7","accessToken":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c","appProfile":{"data":"customUserObjectGoesHere"}}
put
/user

Check user by token

get
/user/check
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
projectIdstring · uuidRequired

Project id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringRequired

Strategy

Example: email
providerstringRequired

Strategy

Example: authZero
deviceIdstring · uuidRequired

device id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
Responses
200

Check

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"username":"testUserAuthZero","appProfile":{"data":"customUserObjectGoesHere"},"loginHistory":[1633435562,1633435763]}
get
/user/check

Anonymous

register a new user

post
/user

By passing in the appropriate parameters it will register a new user to the anonymous strategy

Body
projectIdstring · uuidOptionalExample: 5d5b0676-ce0f-4058-b2bf-49af49f61cb5
strategystring · enumOptionalExample: simplifiedPossible values:
providerstringOptionalExample: anonymous
dataobjectOptionalExample: {"deviceId":"789f64dc-750d-4260-afef-7937062048e3","additionalId":"12345677865"}
Responses
post
/user

update user data

put
/user/login

this method updates user data fields

Body
projectIdstring · uuidOptionalExample: 5d5b0676-ce0f-4058-b2bf-49af49f61cb5
strategystring · enumOptionalExample: simplifiedPossible values:
providerstringOptionalExample: anonymous
Responses
200

user Logged

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"deviceId":"789f64dc-750d-4260-afef-7937062048e3","timeStamp":1614788250,"signature":"C4B23C2801C19B76C3DE7432B86B818D1D63C7C6","externalId":"6432a1c6a7dd85071d79a3ccb651a095ca1abb139189492fc0e53fb427c1a036","userId":"99b5e0ae-60b8-4667-8741-f4e1486d2b3a","signUp":1614788100}
put
/user/login

NoLogin

Fetch a users profile

get
/user
Query parameters
projectIdanyRequired

M/IC project id

Example: 5d5b0676-ce0f-4058-b2bf-49af49f61cb5
externalIdanyRequired

unique user identifier

Example: 0fdb53e30444b0ace4976d1604766123a574555ee42e4e17974805b186e37be4
strategyanyRequired

authentication strategy

Example: simplified
provideranyRequired

authentication provider

Example: noLogin
Responses
200

Profile updated

application/json
strategyanyOptional

authentication strategy

Example: simplified
provideranyOptional

authentication provider

Example: noLogin
projectIdanyOptional

M/IC project id

Example: 5d5b0676-ce0f-4058-b2bf-49af49f61cb5
externalIdanyOptional

unique user identifier

Example: 0fdb53e30444b0ace4976d1604766123a574555ee42e4e17974805b186e37be4
resultnumberOptionalDefault: 1
messageanyOptionalDefault: ok
get
/user

create a user

post
/user
Body
strategyanyOptional

authentication strategy

Example: simplified
provideranyOptional

authentication provider

Example: noLogin
projectIdanyOptional

M/IC project id

Example: 5d5b0676-ce0f-4058-b2bf-49af49f61cb5
Responses
200

success

application/json
resultintegerOptionalDefault: 1
messagestringOptionalDefault: ok
post
/user

Update the `appProfile` property of a users profile

put
/user
Body
strategyanyOptional

authentication strategy

Example: simplified
provideranyOptional

authentication provider

Example: noLogin
projectIdanyOptional

M/IC project id

Example: 5d5b0676-ce0f-4058-b2bf-49af49f61cb5
externalIdanyOptional

unique user identifier

Example: 0fdb53e30444b0ace4976d1604766123a574555ee42e4e17974805b186e37be4
Responses
200

Profile updated

application/json
strategyanyOptional

authentication strategy

Example: simplified
provideranyOptional

authentication provider

Example: noLogin
projectIdanyOptional

M/IC project id

Example: 5d5b0676-ce0f-4058-b2bf-49af49f61cb5
externalIdanyOptional

unique user identifier

Example: 0fdb53e30444b0ace4976d1604766123a574555ee42e4e17974805b186e37be4
resultnumberOptionalDefault: 1
messageanyOptionalDefault: ok
put
/user

Twitter

Check user by token (non standard)

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
projectIdstring · uuidRequired

Project id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringRequired

Strategy

Example: email
providerstringRequired

authentication provider

Example: twitter
userIdstringRequired

user id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
accessTokenstringOptional

twitter issued JWT token

Example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
Responses
200

Check

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"updatedAt":"1633430188","nickname":"burger1111111","email":"confluence90@gmail.com","devices":[{"deviceId":"16713b2d-3848-42c7-aeb0-f9714beac892","lastLogin":1633435763,"signUp":1633435560,"userId":"3bd439c2-8ffe-416e-94ed-456f83a91848","timeStamp":1633435760,"signature":"41C96E76084CDAAC46268995187AF3827258CCA3"},{"deviceId":"a055da77-dcfe-4969-ae49-32c501f14e8a"}]}
get
/user/check/nonstandard

Google

Check user by token (non standard)

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
projectIdstring · uuidRequired

Project id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringRequired

Strategy

Example: email
accessTokenstringOptional

google issued JWT token

Example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
providerstringRequired

authentication provider

Example: google
userIdstringOptional

user id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
Responses
200

Check

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"updatedAt":"1633430188","nickname":"burger1111111","email":"confluence90@gmail.com","devices":[{"deviceId":"16713b2d-3848-42c7-aeb0-f9714beac892","lastLogin":1633435763,"signUp":1633435560,"userId":"3bd439c2-8ffe-416e-94ed-456f83a91848","timeStamp":1633435760,"signature":"41C96E76084CDAAC46268995187AF3827258CCA3"},{"deviceId":"a055da77-dcfe-4969-ae49-32c501f14e8a"}]}
get
/user/check/nonstandard

Facebook

Check user by token (non standard)

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
projectIdstring · uuidRequired

Project id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
strategystringRequired

Strategy

Example: email
providerstringRequired

authentication provider

Example: facebook
accessTokenstringOptional

facebook issued JWT token

Example: 81b971d8-4078-40ee-a188-6dd6cbfb650b
userIdstringOptional

user id

Example: a69a31e9-f2e6-4d5f-b080-6138c6a721b7
Responses
200

Check

application/json
resultintegerOptionalExample: 1
messagestringOptionalExample: OK
dataobjectOptionalExample: {"updatedAt":"1633430188","nickname":"burger1111111","email":"confluence90@gmail.com","devices":[{"deviceId":"16713b2d-3848-42c7-aeb0-f9714beac892","lastLogin":1633435763,"signUp":1633435560,"userId":"3bd439c2-8ffe-416e-94ed-456f83a91848","timeStamp":1633435760,"signature":"41C96E76084CDAAC46268995187AF3827258CCA3"},{"deviceId":"a055da77-dcfe-4969-ae49-32c501f14e8a"}]}
get
/user/check/nonstandard

Last updated